Skip to main content
PUT
Set portfolio benchmark comparison basis

Authorizations

Authorization
string
header
required

Itoflow access token issued for the Itoflow API.

Path Parameters

id
string<uuid>
required

Resource UUID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
benchmark_index_id
string | null
required

Provider index id in TICKER.EXCHANGE form (for example GSPC.INDX). Null clears the index comparison.

Required string length: 1 - 64
Pattern: ^\S+\.[A-Za-z0-9]+$
Example:

"GSPC.INDX"

peer_portfolio_id
string<uuid> | null
required

Another portfolio on the platform to measure this portfolio against. Null clears the peer comparison.

Response

Comparison basis updated

benchmark_index_id
string | null
required
message
string
required
peer_portfolio_id
string<uuid> | null
required
portfolio_id
string<uuid>
required